Bug 444013 - Anaconda crashes trying to do a local install
Anaconda crashes trying to do a local install
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 11:26 EDT by Rob Lazzurs
Modified: 2008-08-06 17:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-06 17:07:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kickstart file (8.46 KB, text/plain)
2008-04-24 11:26 EDT, Rob Lazzurs
no flags Details

  None (edit)
Description Rob Lazzurs 2008-04-24 11:26:20 EDT
Description of problem:

When trying to do a local install with the command line below and the kickstart
attached I get the error below

Command line:

/usr/sbin/anaconda --method
nfs://scratch1/rl/project/masterOS_fc7/masterOS/build/DVD/FC/7_i386/iso/
--kickstart=/scratch1/rl/project/masterOS_fc7/masterOS/build/DVD/FC/7_i386/desktop-cleanroot-kickstart
--rootpath=/scratch1/rl/project/masterOS_fc7/masterOS/build/FC/7_i386/desktop --text

Version-Release number of selected component (if applicable):

                                                                               
                                                                               
                                                                            
anaconda-11.3.0.50-2

How reproducible:

Every time

Steps to Reproduce:
1. Extract the ISO to the directory specified above
2. Run the anaconda command line
3. Boom
4. Profit? ;)
  
Actual results:

Traceback (most recent call last):
File "/usr/sbin/anaconda", line 917, in <module>
kickstart.processKickstartFile(anaconda, opts.ksfile)                          
                    
File "/usr/lib/anaconda/kickstart.py", line 853, in processKickstartFile
runPreScripts(anaconda, ksparser.handler.scripts)
File "/usr/lib/anaconda/kickstart.py", line 913, in runPreScripts
map (lambda s: s.run("/", flags.serial, anaconda.intf), preScripts)
File "/usr/lib/anaconda/kickstart.py", line 913, in <lambda>
map (lambda s: s.run("/", flags.serial, anaconda.intf), preScripts)
File "/usr/lib/anaconda/kickstart.py", line 90, in run
os.chmod("%s" % messages, 0600)
OSError: [Errno 2] No such file or directory: 'False'

Expected results:

A F7 install in the specified directory

Additional info:
Comment 1 Rob Lazzurs 2008-04-24 11:26:20 EDT
Created attachment 303645 [details]
kickstart file
Comment 2 Andy Lindeberg 2008-06-03 12:27:40 EDT
Have you tried installing F9, and if so, have you encountered the same error?

Note You need to log in before you can comment on or make changes to this bug.